Loading...
Searching...
No Matches
i18n.h File Reference

Common include header for all C sources containing translated strings. More...

`#include "config.h"`
Include dependency graph for i18n.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | N_(String)
#define | _(String)
#define | bind_textdomain_codeset(Domain, codeset)
#define | bindtextdomain(Domain, Directory)
#define | dcgettext(Domain, Message, Type)
#define | dgettext(Domain, Message)
#define | gettext(String)
#define | ngettext(String1, String2, Count)
#define | textdomain(String)

## Detailed Description

Common include header for all C sources containing translated strings.

Todo
  Replace this file by the gettext.h file from gettext?

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## bind_textdomain_codeset

#define bind_textdomain_codeset | ( |  | Domain,
|  |  | codeset )

Value:
(codeset)

## bindtextdomain

#define bindtextdomain | ( |  | Domain,
|  |  | Directory )

Value:
(Domain)

## dcgettext

#define dcgettext | ( |  | Domain,
|  |  | Message,
|  |  | Type )

Value:
(Message)

## dgettext

#define dgettext | ( |  | Domain,
|  |  | Message )

Value:
(Message)

## gettext

#define gettext | ( |  | String | ) |

Value:
(String)

## N_

#define N_ | ( |  | String | ) |

Value:
(String)

## ngettext

#define ngettext | ( |  | String1,
|  |  | String2,
|  |  | Count )

Value:
((Count==1)?String1:String2)

## textdomain

#define textdomain | ( |  | String | ) |

Value:
(String)